> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Azure DevOps OAuth installation

> Creates an Azure DevOps OAuth authorization URL for connecting an Azure DevOps Services organization.



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/installations/start-azure-devops-oauth
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/installations/start-azure-devops-oauth:
    post:
      tags:
        - Installations
      summary: Start Azure DevOps OAuth installation
      description: >-
        Creates an Azure DevOps OAuth authorization URL for connecting an Azure
        DevOps Services organization.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartAzureDevOpsOAuthInput'
      responses:
        '200':
          description: Azure DevOps OAuth authorization URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartAzureDevOpsOAuthResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    StartAzureDevOpsOAuthInput:
      type: object
      properties:
        organizationId:
          type: string
        azureOrganizationUrl:
          type: string
          format: uri
          description: >-
            Azure DevOps Services organization URL, for example
            https://dev.azure.com/org
        azureDevOpsAppId:
          type: string
          description: Optional ZeroPath-managed Azure DevOps OAuth app ID.
        tenantMode:
          $ref: '#/components/schemas/AzureDevOpsTenantMode'
        tenantId:
          type: string
          description: Microsoft Entra tenant ID. Required when tenantMode is TENANT.
        redirectUri:
          type: string
          format: uri
          description: OAuth callback URL. Defaults to /api/azure-devops/oauth/callback.
      required:
        - organizationId
        - azureOrganizationUrl
      additionalProperties: false
    StartAzureDevOpsOAuthResponse:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: Microsoft Entra authorization URL for the Azure DevOps OAuth flow.
      required:
        - url
      additionalProperties: false
    AzureDevOpsTenantMode:
      type: string
      enum:
        - COMMON
        - ORGANIZATIONS
        - TENANT
      description: >-
        Microsoft Entra tenant selector used for Azure DevOps OAuth. TENANT
        requires tenantId.
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````